Guide
Installation
Admin Setup
AI Tools
API
Troubleshooting
Guide
Installation
Admin Setup
AI Tools
API
Troubleshooting
  • Getting Started

    • Quick Start
    • Installation
    • Admin Setup
    • Credits and Billing
    • AI Tools
    • AI Clone
    • Text to Voice and Speech to Text
    • API Reference (Summary)
    • Integrations
    • Storage and Media
    • Security and Maintenance
    • Troubleshooting

API Reference (Summary)

This section is for developers integrating AiDone with external systems.

Base URL

All API endpoints are under:

https://your-domain.com/{locale}/api

Example:

https://your-domain.com/en/api

Authentication (JWT)

  1. Call POST /login with email and password.
  2. Use the returned token in the Authorization header: Bearer <token>.

Common endpoints

Auth:

  • POST /login
  • POST /signup
  • POST /logout
  • GET /profile

AI jobs:

  • GET /ai/jobs
  • GET /ai/jobs/{uuid}

Image generation:

  • POST /ai/image/generate
  • POST /ai/flux/generate
  • POST /ai/ecom/generate
  • POST /ai/headshot/generate
  • POST /ai/banner/generate

AI Clone:

  • GET /ai/clone/models
  • POST /ai/clone/models
  • POST /ai/clone/generate

Text to Voice:

  • GET /ai/tts/voices
  • POST /ai/tts/generate
  • GET /ai/tts/status/{id}

Speech to Text:

  • GET /ai/stt/languages
  • POST /ai/stt/transcribe
  • GET /ai/stt/status/{id}
  • GET /ai/stt/download/{id}

Example request (login)

POST /en/api/login
Content-Type: application/json

{
  "email": "user@example.com",
  "password": "secret"
}

Example request (image generation)

POST /en/api/ai/image/generate
Authorization: Bearer <token>
Content-Type: application/json

{
  "prompt": "A modern workspace with neon lights",
  "model_slug": "flux-1-pro",
  "aspect_ratio": "16:9"
}

Notes

  • Most AI endpoints are rate limited.
  • Jobs are asynchronous; use the job status endpoint to fetch results.
Prev
Text to Voice and Speech to Text
Next
Integrations